import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:lenco_pay_with_transfer_widget/src/datamodel.dart';
const String WSURL='https://connect.lenco.ng';
 class LencoRequest{
 final String publicKey;
 static const String baseUrl='https://api.lenco.ng/pay-with-transfer/v1';
 LencoRequest({required this.publicKey});

 Future<PayWithTransferInit> initiate  ({
      required num amount,
      String? currency,//(optional)
      required String email ,
      required String reference ,//# unique. Only ".", "_", and "-" are allowed
       String? accountName ,
      required Function(DioError) dioError,//# the account name. Optional
   })async{
    String url='/initiate';
    var payload = <String, dynamic>{
      'key':publicKey,
      'amount':amount,
      'currency':currency,
      'email':email,
      'reference':reference,
      'accountName':accountName,

      };

      Response? response;
    try {
     response = await Dio().post(baseUrl+url,data: payload,);





    } on DioError catch ( e) {
      dioError(e);
    }

    return PayWithTransferInit.fromJson(json.decode(response!.toString()));


  }


 Future<PayWithTransferInit> status  ({
   required String requestId,
   required Function(DioError) dioError,
   //# the account name. Optional
 })async{
   String url='/status';
   var payload = <String, dynamic>{
     'key':publicKey,
     'requestId':requestId,


   };
   Response? response;
   try {
     response = await Dio().post(baseUrl+url,data: payload,
     );



   } on DioError catch ( e) {
     dioError(e);
   }

   return PayWithTransferInit.fromJson(json.decode(response!.toString()));


 }

 Future<PayWithTransferInit> re_initiate  ({
   required String requestId,
   required Function (DioError) dioError,
   //# the account name. Optional
 })async{
   String url='/re-initiate';
   var payload = <String, dynamic>{
     'key':publicKey,
     'requestId':requestId,


   };
   Response? response;
   try {
     response = await Dio().post(baseUrl+url,data: payload,
     );



   }on DioError catch ( e) {
     dioError(e);
   }

   return PayWithTransferInit.fromJson(json.decode(response!.toString()));


 }


}