import 'package:flutter/material.dart';

class TransferRejected extends StatefulWidget {
  final VoidCallback showAccountNumber;
  final String reason;

  const TransferRejected({Key? key, required this.showAccountNumber, required this.reason}) : super(key: key);

  @override
  _TransferRejectedState createState() => _TransferRejectedState();
}

class _TransferRejectedState extends State<TransferRejected> {
  TextStyle titleStyle=const TextStyle(fontSize: 20,color:Color(0xff1f1f30),fontWeight: FontWeight.bold);
  TextStyle textSubTitle=const TextStyle(color: Color(0xff41415A), fontSize: 20);
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.start,
            mainAxisSize: MainAxisSize.min,
            children:  [
              Text('Transfer Rejected',textAlign: TextAlign.center,style: titleStyle),
              const SizedBox(height: 10,),
              Text(widget.reason,textAlign: TextAlign.center,style: textSubTitle),
              const SizedBox(height: 20,),
              TextButton(onPressed: (){
                Navigator.pop(context);
                widget.showAccountNumber();
              }, child:  Text('Show account number',style: textSubTitle.copyWith(color: Colors.blue),))

            ],
          ),
        ),
      ),
    );
  }
}
