import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:easy_rich_text/easy_rich_text.dart';



class FormatAmount extends StatefulWidget {
  final num amount;
  final String symbol;
  final TextStyle style;

  const FormatAmount(this.symbol,this.amount,{Key? key,this.style=const TextStyle(fontWeight: FontWeight.bold, fontSize:24,color: Color(0xff41415A)),}) : super(key: key);

  @override
  _FormatAmountState createState() => _FormatAmountState();
}

class _FormatAmountState extends State<FormatAmount> {

  @override

  Widget build(BuildContext context) {
    String f = NumberFormat('#,##0.00', 'en_US').format(widget.amount);
    String subString=f.substring(f.indexOf('.'));
      return EasyRichText(
      '${widget.symbol} $f',
      overflow: TextOverflow.ellipsis,

      defaultStyle: widget.style,
      patternList: [
        EasyRichTextPattern(
          targetString: subString,
          superScript: true,
          // stringBeforeTarget: '.',
          // stringAfterTarget: '.',
          matchOption: ['last'],

          //There is no space between Product and TM
          matchWordBoundaries: false,
          style: widget.style,
        ),
      ],
    );
  }
}